Package com.pixelmed.display.event

## Class VOIFunctionChangeEvent

- java.lang.Object
- - com.pixelmed.event.Event
  - - com.pixelmed.display.event.VOIFunctionChangeEvent

-     public class VOIFunctionChangeEvent
      extends Event

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `linearFunction` |
    `static java.lang.String` | `logisticFunction` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VOIFunctionChangeEvent​(EventContext eventContext, java.lang.String function)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getFunction()` |
    `boolean` | `isLinearFunction()` |
    `boolean` | `isLogisticFunction()` |

    - ### Methods inherited from class com.pixelmed.event.Event

      `getEventContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### linearFunction

          public static final java.lang.String linearFunction

      See Also:
        Constant Field Values

    - #### logisticFunction

          public static final java.lang.String logisticFunction

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VOIFunctionChangeEvent

          public VOIFunctionChangeEvent​(EventContext eventContext,
                                        java.lang.String function)

      Parameters:
        `eventContext` -
        `function` -

  - ### Method Detail

    - #### getFunction

          public java.lang.String getFunction()

    - #### isLinearFunction

          public boolean isLinearFunction()

    - #### isLogisticFunction

          public boolean isLogisticFunction()